JUCE: TracktionMarketplaceStatus Class Reference

JUCE

Public Member Functions | List of all members
TracktionMarketplaceStatus Class Reference
juce_product_unlocking » marketplace

An implementation of the OnlineUnlockStatus class which talks to the Tracktion Marketplace server. More...

`#include <juce_TracktionMarketplaceStatus.h>`

Inheritance diagram for TracktionMarketplaceStatus:

## Public Member Functions
| TracktionMarketplaceStatus ()
bool | doesProductIDMatch (const String &returnedIDFromServer) override
URL | getServerAuthenticationURL () override
String | getWebsiteName () override
String | readReplyFromWebserver (const String &email, const String &password) override
void | userCancelled () override
Public Member Functions inherited from OnlineUnlockStatus
| OnlineUnlockStatus ()
virtual | ~OnlineUnlockStatus ()
| Destructor. More...
virtual String | getProductID ()=0
| This must return your product's ID, as allocated by the store. More...
virtual RSAKey | getPublicKey ()=0
| This must return the RSA public key for authenticating responses from the server for this app. More...
virtual void | saveState (const String &)=0
| This method must store the given string somewhere in your app's persistent properties, so it can be retrieved later by getState(). More...
virtual String | getState ()=0
| This method must retrieve the last state that was provided by the saveState method. More...
virtual StringArray | getLocalMachineIDs ()
| Returns a list of strings, any of which should be unique to this physical computer. More...
virtual String | getMessageForConnectionFailure (bool isInternetConnectionWorking)
virtual String | getMessageForUnexpectedReply ()
var | isUnlocked () const
| Returns true if the product has been successfully authorised for this machine. More...
Time | getExpiryTime () const
| Returns the Time when the keyfile expires. More...
void | setUserEmail (const String &usernameOrEmail)
| Optionally allows the app to provide the user's email address if it is known. More...
String | getUserEmail () const
| Returns the user's email address if known. More...
bool | applyKeyFile (String keyFileContent)
| Attempts to perform an unlock using a block of key-file data provided. More...
UnlockResult | attemptWebserverUnlock (const String &email, const String &password)
| Contacts the webserver and attempts to perform a registration with the given user details. More...
void | load ()
| Attempts to load the status from the state retrieved by getState(). More...
void | save ()
| Triggers a call to saveState which you can use to store the current unlock status in your app's settings. More...

## Detailed Description

An implementation of the OnlineUnlockStatus class which talks to the Tracktion Marketplace server.

For details about how to use this class, see the docs for the base class: OnlineUnlockStatus. Basically, you need to inherit from it, and implement all the pure virtual methods to tell it about your product.

See also
  OnlineUnlockStatus, OnlineUnlockForm, KeyGeneration

## Constructor & Destructor Documentation

## ◆ TracktionMarketplaceStatus()

TracktionMarketplaceStatus::TracktionMarketplaceStatus | ( |  | ) |

## Member Function Documentation

## ◆ doesProductIDMatch()

bool TracktionMarketplaceStatus::doesProductIDMatch | ( | const String & | returnedIDFromServer | ) |
| overridevirtual

Implements OnlineUnlockStatus.

## ◆ getServerAuthenticationURL()

URL TracktionMarketplaceStatus::getServerAuthenticationURL | ( |  | ) |
| overridevirtual

Implements OnlineUnlockStatus.

## ◆ getWebsiteName()

String TracktionMarketplaceStatus::getWebsiteName | ( |  | ) |
| overridevirtual

Implements OnlineUnlockStatus.

## ◆ readReplyFromWebserver()

String TracktionMarketplaceStatus::readReplyFromWebserver | ( | const String & | email,
|  | const String & | password
| ) |  |
| overridevirtual

Implements OnlineUnlockStatus.

## ◆ userCancelled()

void TracktionMarketplaceStatus::userCancelled | ( |  | ) |
| overridevirtual

Reimplemented from OnlineUnlockStatus.

The documentation for this class was generated from the following file:

- juce_TracktionMarketplaceStatus.h